petsc-3.10.5 2019-03-28
Report Typos and Errors

# MatGetDM

Gets the DM defining the data layout of the matrix

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode MatGetDM(Mat A, DM *dm)

Not collective

### Input Parameter

A -The Mat

### Output Parameter

dm -The DM

Developer Note: Since the Mat class doesn't know about the DM class the DM object is associated with the Mat through a PetscObjectCompose() operation

### See Also

MatSetDM(), DMCreateMatrix(), DMSetMatType()

### Level

intermediate

### Location

src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages